## yquake2 5.21~dfsg1

=== Makefile ===
# ------------------------------------------------------ #
# Makefile for the "Yamagi Quake 2 Client"               #
#                                                        #
# Just type "make" to compile the                        #
#  - SDL Client (quake2)                                 #
#  - Server (q2ded)                                      #
#  - Quake II Game (baseq2)                              #
#                                                        #
# Base dependencies:                                     #
#  - SDL 1.2 or SDL 2.0                                  #
#  - libGL                                               #
#                                                        #
# Platforms:                                             #
#  - FreeBSD                                             #
#  - Linux                                               #
#  - OpenBSD                                             #
#  - OS X                                                #
#  - Windows (MinGW)                                     #
# ------------------------------------------------------ #

# User configurable options
# -------------------------

# Enables CD audio playback. CD audio playback is used
# for the background music and doesn't add any further
# dependencies. It should work on all platforms where
# CD playback is supported by SDL.
WITH_CDA:=yes

# Enables OGG/Vorbis support. OGG/Vorbis files can be
# used as a substitute of CD audio playback. Adds
# dependencies to libogg, libvorbis and libvorbisfile.
WITH_OGG:=yes

# Enables the optional OpenAL sound system.
# To use it your system needs libopenal.so.1
# or openal32.dll (we recommend openal-soft)
# installed
WITH_OPENAL:=yes

# Enables retexturing support. Adds
# a dependency to libjpeg
WITH_RETEXTURING:=yes

# Use SDL2 instead of SDL1.2. Disables CD audio support,
# because SDL2 has none. Use OGG/Vorbis music instead :-)
# On Windows sdl-config isn't used, so make sure that
# you've got the SDL2 headers and libs installed.
WITH_SDL2:=yes

# Set the gamma via X11 and not via SDL. This works
# around problems in some SDL version. Adds dependencies
# to pkg-config, libX11 and libXxf86vm. Unsupported on
# Windows and OS X.
WITH_X11GAMMA:=no

# Enables opening of ZIP files (also known as .pk3 paks).
# Adds a dependency to libz
WITH_ZIP:=yes

# Enable systemwide installation of game assets
WITH_SYSTEMWIDE:=no

# This will set the default SYSTEMDIR, a non-empty string
# would actually be used. On Windows normals slashes (/)
# instead of backslashed (\) should be used! The string
# MUST NOT be surrounded by quotation marks!
WITH_SYSTEMDIR:=""

# This will set the architectures of the OSX-binaries.
# You have to make sure your libs/frameworks supports
# these architectures! To build an universal ppc-compatible
# one would add -arch ppc for example.
OSX_ARCH:=-arch i386 -arch x86_64

# This will set the build options to create an MacOS .app-bundle.
# The app-bundle itself will not be created, but the runtime paths
# will be set to expect the linked Frameworks in *.app/Contents/
# Frameworks and the game-data will be expected in *.app/
# Contents/Resources
OSX_APP:=yes

# ====================================================== #
#     !!! DO NOT ALTER ANYTHING BELOW THIS LINE !!!      #
# ====================================================== #

# Detect the OS
ifdef SystemRoot
OSTYPE := Windows
else
OSTYPE := $(shell uname -s)
endif

# Detect the architecture
ifeq ($(OSTYPE), Windows)
# At this time only i386 is supported on Windows
# (amd64 works, but building an 64 bit executable
# is not that easy. Especially SDL and OpenAL are
# somewhat problematic)
ARCH ?= i386
else
# Some platforms call it "amd64" and some "x86_64"
ARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/amd64/x86_64/)
endif

# Refuse all other platforms as a firewall against PEBKAC
# (You'll need some #ifdef for your unsupported  plattform!)
ifeq ($(findstring $(ARCH), i386 x86_64 sparc64 ia64),)
$(error arch $(ARCH) is currently not supported)
endif

# Disable CDA for SDL2
ifeq ($(WITH_SDL2),yes)
ifeq ($(WITH_CDA),yes)
WITH_CDA:=no

# Evil hack to tell the "all" target
# that CDA was disabled because SDL2
# is enabled.
CDA_DISABLED:=yes
endif
endif

# ----------

# Base CFLAGS.
#
# -O2 are enough optimizations.
#
# -fno-strict-aliasing since the source doesn't comply
#  with strict aliasing rules and it's next to impossible
#  to get it there...
#
# -fomit-frame-pointer since the framepointer is mostly
#  useless for debugging Quake II and slows things down.
#
# -g to build always with debug symbols. Please DO NOT
#  CHANGE THIS, since it's our only chance to debug this
#  crap when random crashes happen!
#
# -MMD to generate header dependencies. (They cannot be
#  generated if building universal binaries on OSX)
ifeq ($(OSTYPE), Darwin)
CFLAGS := -O2 -fno-strict-aliasing -fomit-frame-pointer \
		  -Wall -pipe -g
CFLAGS += $(OSX_ARCH)
else
CFLAGS := -O2 -fno-strict-aliasing -fomit-frame-pointer \
		  -Wall -pipe -g -MMD
endif

# ----------

# Systemwide installation
ifeq ($(WITH_SYSTEMWIDE),yes)
CFLAGS += -DSYSTEMWIDE
ifneq ($(WITH_SYSTEMDIR),"")
CFLAGS += -DSYSTEMDIR=\"$(WITH_SYSTEMDIR)\"
endif
endif

# ----------

# Extra CFLAGS for SDL
ifneq ($(OSTYPE), Windows)
ifeq ($(OSTYPE), Darwin)
SDLCFLAGS :=
else # not darwin
ifeq ($(WITH_SDL2),yes)
SDLCFLAGS := $(shell sdl2-config --cflags)
else # not SDL2
SDLCFLAGS := $(shell sdl-config --cflags)
endif # SDL2

endif # darwin's else
endif # not windows

# ----------

# Extra CFLAGS for X11
ifneq ($(OSTYPE), Windows)
ifneq ($(OSTYPE), Darwin)
ifeq ($(WITH_X11GAMMA),yes)
X11CFLAGS := $(shell pkg-config x11 --cflags)
X11CFLAGS += $(shell pkg-config xxf86vm --cflags)
endif
endif
endif

# ----------

# Base include path.
ifeq ($(OSTYPE),Linux)
INCLUDE := -I/usr/include
else ifeq ($(OSTYPE),FreeBSD)
INCLUDE := -I/usr/local/include
else ifeq ($(OSTYPE),OpenBSD)
INCLUDE := -I/usr/local/include
else ifeq ($(OSTYPE),Darwin)
INCLUDE :=
endif

# ----------

# Base LDFLAGS.
ifeq ($(OSTYPE),Linux)
LDFLAGS := -L/usr/lib -lm -ldl -rdynamic
else ifeq ($(OSTYPE),FreeBSD)
LDFLAGS := -L/usr/local/lib -lm
else ifeq ($(OSTYPE),OpenBSD)
LDFLAGS := -L/usr/local/lib -lm
else ifeq ($(OSTYPE),Windows)
LDFLAGS := -lws2_32 -lwinmm
else ifeq ($(OSTYPE), Darwin)
LDFLAGS := $(OSX_ARCH) -lm
endif

# ----------

# Extra LDFLAGS for SDL
ifeq ($(OSTYPE), Windows)
ifeq ($(WITH_SDL2),yes)
SDLLDFLAGS := -lSDL2main -lSDL2  -mwindows  -lm -ldinput8 -ldxguid \
	-ldxerr8 -luser32 -lgdi32 -lwinmm -limm32 -lole32 -loleaut32 \
	-lshell32 -lversion -luuid
else # not SDL2
SDLLDFLAGS := -lSDL
endif # SDL2
else ifeq ($(OSTYPE), Darwin)
ifeq ($(WITH_SDL2),yes)
SDLLDFLAGS := -framework SDL2 -framework OpenGL -framework Cocoa
else # not SDL2
SDLLDFLAGS := -framework SDL -framework OpenGL -framework Cocoa
endif # SDL2
else # not Darwin/Win
ifeq ($(WITH_SDL2),yes)
SDLLDFLAGS := $(shell sdl2-config --libs)
else # not SDL2
SDLLDFLAGS := $(shell sdl-config --libs)
endif # SDL2
endif # Darwin/Win

# ----------

# Extra LDFLAGS for X11
ifneq ($(OSTYPE), Windows)
ifneq ($(OSTYPE), Darwin)
ifeq ($(WITH_X11GAMMA),yes)
X11LDFLAGS := $(shell pkg-config x11 --libs)
X11LDFLAGS += $(shell pkg-config xxf86vm --libs)
X11LDFLAGS += $(shell pkg-config xrandr --libs)
endif
endif
endif

# ----------

# When make is invoked by "make VERBOSE=1" print
# the compiler and linker commands.

ifdef VERBOSE
Q :=
else
Q := @
endif

# ----------

# Phony targets
#.PHONY : all client game icon refresher server
.PHONY : all client game icon server

# ----------

# Builds everything
all: config client server game

# Print config values
config:
	@echo "Build configuration"
	@echo "============================"
	@echo "WITH_CDA = $(WITH_CDA)"
	@echo "WITH_OPENAL = $(WITH_OPENAL)"
	@echo "WITH_RETEXTURING = $(WITH_RETEXTURING)"
	@echo "WITH_SDL2 = $(WITH_SDL2)"
	@echo "WITH_X11GAMMA = $(WITH_X11GAMMA)"
	@echo "WITH_ZIP = $(WITH_ZIP)"
	@echo "WITH_SYSTEMWIDE = $(WITH_SYSTEMWIDE)"
	@echo "WITH_SYSTEMDIR = $(WITH_SYSTEMDIR)"
	@echo "============================"
	@echo ""
ifeq ($(WITH_SDL2),yes)
ifeq ($(CDA_DISABLED),yes)
	@echo "WARNING: CDA disabled because SDL2 doesn't support it!"
	@echo ""
endif
endif
	
# ----------

# Special target to compile
# the icon on Windows
ifeq ($(OSTYPE), Windows)
icon:
	@echo "===> WR build/icon/icon.res"
	${Q}stuff/misc/mkdir -p build/icon
	${Q}windres stuff\icon\icon.rc -O COFF -o build\icon\icon.res
endif

# ----------

# Cleanup
ifeq ($(OSTYPE), Windows)
clean:
	@echo "===> CLEAN"
	@-rmdir /S /Q release build
else
clean:
	@echo "===> CLEAN"
	${Q}rm -Rf build release
endif

# ----------

# The client
ifeq ($(OSTYPE), Windows)
client:
	@echo "===> Building quake2.exe"
	${Q}stuff/misc/mkdir.exe -p release
	$(MAKE) release/quake2.exe

build/client/%.o: %.c
	@echo "===> CC $<"
	${Q}stuff/misc/mkdir.exe -p $(@D)
	${Q}$(CC) -c $(CFLAGS) $(SDLCFLAGS) $(INCLUDE) -o $@ $<

ifeq ($(WITH_CDA),yes)
release/quake2.exe : CFLAGS += -DCDA
endif

ifeq ($(WITH_OGG),yes)
release/quake2.exe : CFLAGS += -DOGG
release/quake2.exe : LDFLAGS += -lvorbisfile -lvorbis -logg
endif

ifeq ($(WITH_OPENAL),yes)
release/quake2.exe : CFLAGS += -DUSE_OPENAL -DDEFAULT_OPENAL_DRIVER='"openal32.dll"'
endif

ifeq ($(WITH_ZIP),yes)
release/quake2.exe : CFLAGS += -DZIP -DNOUNCRYPT
release/quake2.exe : LDFLAGS += -lz
endif
 
ifeq ($(WITH_RETEXTURING),yes)
release/quake2.exe : CFLAGS += -DRETEXTURE
release/quake2.exe : LDFLAGS += -ljpeg
endif 

ifeq ($(WITH_SDL2),yes)
release/quake2.exe : CFLAGS += -DSDL2
endif

release/quake2.exe : LDFLAGS += -mwindows -lopengl32
else
client:
	@echo "===> Building quake2"
	${Q}mkdir -p release
	$(MAKE) release/quake2

build/client/%.o: %.c
	@echo "===> CC $<"
	${Q}mkdir -p $(@D)
	${Q}$(CC) -c $(CFLAGS) $(SDLCFLAGS) $(X11CFLAGS) $(INCLUDE) -o $@ $<

ifeq ($(OSTYPE), Darwin)
build/client/%.o : %.m
	@echo "===> CC $<"
	${Q}mkdir -p $(@D)
	${Q}$(CC) $(OSX_ARCH) -x objective-c -c $< -o $@
endif

ifeq ($(WITH_CDA),yes)
release/quake2 : CFLAGS += -DCDA
endif

ifeq ($(WITH_OGG),yes)
release/quake2 : CFLAGS += -DOGG
ifeq ($(OSTYPE), Darwin)
release/quake2 : LDFLAGS += -framework Vorbis -framework Ogg
else
release/quake2 : LDFLAGS += -lvorbis -lvorbisfile -logg
endif
endif

ifeq ($(WITH_OPENAL),yes)
ifeq ($(OSTYPE), OpenBSD)
release/quake2 : CFLAGS += -DUSE_OPENAL -DDEFAULT_OPENAL_DRIVER='"libopenal.so"'
else ifeq ($(OSTYPE), Darwin)
release/quake2 : CFLAGS += -DUSE_OPENAL -DDEFAULT_OPENAL_DRIVER='"/System/Library/Frameworks/OpenAL.framework/OpenAL"'
release/quake2 : LDFLAGS += -framework OpenAL
else
release/quake2 : CFLAGS += -DUSE_OPENAL -DDEFAULT_OPENAL_DRIVER='"libopenal.so.1"'
endif
endif

ifeq ($(WITH_ZIP),yes)
release/quake2 : CFLAGS += -DZIP -DNOUNCRYPT
release/quake2 : LDFLAGS += -lz
endif

ifeq ($(WITH_X11GAMMA),yes)
release/quake2 : CFLAGS += -DX11GAMMA
endif

ifeq ($(WITH_RETEXTURING),yes)
release/quake2 : CFLAGS += -DRETEXTURE
ifeq ($(OSTYPE), Darwin)
release/quake2 : LDFLAGS += -framework libjpeg
else
release/quake2 : LDFLAGS += -ljpeg
endif
endif

ifeq ($(WITH_SDL2),yes)
release/quake2 : CFLAGS += -DSDL2
endif
 
ifeq ($(OSTYPE), Darwin)
ifeq ($(OSX_APP), yes)
release/quake2 : LDFLAGS += -Xlinker -rpath -Xlinker @loader_path/../Frameworks
endif
endif
 
ifneq ($(OSTYPE), Darwin)
release/quake2 : LDFLAGS += -lGL
endif

ifeq ($(OSTYPE), FreeBSD)
release/quake2 : LDFLAGS += -Wl,-z,origin,-rpath='$$ORIGIN/lib'
else ifeq ($(OSTYPE), Linux)
release/quake2 : LDFLAGS += -Wl,-z,origin,-rpath='$$ORIGIN/lib'
endif

ifeq ($(WITH_SYSTEMWIDE),yes)
ifneq ($(WITH_SYSTEMDIR),"")
ifeq ($(OSTYPE), FreeBSD)
release/quake2 : LDFLAGS += -Wl,-z,origin,-rpath='$(WITH_SYSTEMDIR)/lib'
else ifeq ($(OSTYPE), Linux)
release/quake2 : LDFLAGS += -Wl,-z,origin,-rpath='$(WITH_SYSTEMDIR)/lib'
endif
else
ifeq ($(OSTYPE), FreeBSD)
release/quake2 : LDFLAGS += -Wl,-z,origin,-rpath='/usr/share/games/quake2/lib'
else ifeq ($(OSTYPE), Linux)

=== debian/changelog ===
yquake2 (5.21~dfsg1-1) unstable; urgency=low

  * New upstream release
    - the refresher (renderer) is now directly linked into the executable
    - refresh patches
  * Standards-Version: 3.9.5 (no changes needed)
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Jan 2014 10:22:42 +0000

yquake2 (5.11.v2~dfsg1-1) experimental; urgency=low

  [ Fabian Greffrath ]
  * Initial release (Closes: #689824).
  * Filter potentially non-free stuff out of the upstream release tarball.
  * Append to {C,LD}FLAGS instead of overriding them,
    obey dpkg-buildflags thereby.
  * Install port-specific architecture-dependent files
    into a separate LIBDIR directory.
  * Fix spelling-errors detected by lintian.
  * Add Recommends: libgl1-mesa-glx | libgl1, libopenal1. They get dlopen()ed
    and should be installed in all but unusual installations. This way they
    also show up in reportbug templates.

  [ Simon McVittie ]
  * Add myself to Uploaders
  * Enable pristine-tar support
  * Fix git-import-orig filter syntax
  * Also filter out src/backends/sdl_osx since those files' origin and
    license are unclear
  * debian/copyright: document why this is in contrib, and how the
    orig tarball was filtered
  * Provide a virtual package for the quake2-engine
  * Take the engine and server off the $PATH, recommending the quake2
    package (from src:quake >= 4) as the "user-facing" Quake II package
  * Provide virtual packages for the quake2-engine and quake2-engine-server
  * Split out a yamagi-quake2-core package with the server and shared files
  * Link against libgl, libopenal1 libraries at compile time in the
    usual way, instead of dlopen() + Recommends
  * Set SYSTEMWIDE directory to the LIBDIR, so the wrapper scripts
    in the quake2, quake2-server packages can select either demo data
    (/usr/share/games/quake2-demo) or full data (/usr/share/games/quake2)
    if both are installed
  * yamagi-quake2-core: add Breaks/Replaces for the
    yamagi-quake2 packages provided by upstream
  * Upload to experimental

 -- Simon McVittie <smcv@debian.org>  Sun, 29 Sep 2013 14:38:45 +0100

=== debian/control ===
Source: yquake2
Section: contrib/games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Fabian Greffrath <fabian+debian@greffrath.com>,
 Simon McVittie <smcv@debian.org>
Build-Depends:
 debhelper (>= 9),
 libgl1-mesa-dev | libgl-dev,
 libjpeg8-dev,
 libopenal-dev,
 libsdl2-dev,
 libvorbis-dev,
 libxrandr-dev,
 libxxf86vm-dev,
 zlib1g-dev
Standards-Version: 3.9.5
Homepage: http://www.yamagi.org/quake2/
Vcs-Git: git://anonscm.debian.org/pkg-games/yquake2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/yquake2.git;a=summary

Package: yamagi-quake2
Architecture: any-amd64 any-i386
Depends:
 yamagi-quake2-core (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Provides: quake2-engine
Description: enhanced version of id Software's Quake II - client
 This is the Yamagi Quake II Client, an enhanced Version of id Software's
 Quake II. The main focus is single player, the gameplay and the graphics are
 unchanged, but many bugs were fixed. This code is based upon Icculus Quake II,
 which itself is built upon id Software's original code drop. Additional code
 and patches by many contributers were used.
 .
 This engine is intended to be used via the wrapper script and menu entries
 in the quake2 package.

Package: yamagi-quake2-core
Architecture: any-amd64 any-i386
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides: quake2-engine-server
Breaks: yamagi-quake2 (<< 5.11)
Replaces: yamagi-quake2 (<< 5.11)
Description: enhanced version of id Software's Quake II - non-GUI part
 This is the Yamagi Quake II Server, an enhanced Version of id Software's
 Quake II. This code is based upon Icculus Quake II,
 which itself is built upon id Software's original code drop. Additional code
 and patches by many contributers were used.
 .
 This package contains files common to the client and the server, and a
 dedicated server engine is intended to be used via the wrapper script
 and init scripts in the quake2-server package.

=== debian/rules ===
#!/usr/bin/make -f

DEB_CPPFLAGS_MAINT_APPEND += -DLIBDIR=\"/usr/lib/yamagi-quake2/\"
DEB_LDFLAGS_MAINT_APPEND  += -Wl,--as-needed -Wl,-z,defs
export DEB_CPPFLAGS_MAINT_APPEND DEB_LDFLAGS_MAINT_APPEND

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- \
		DLOPEN_LIBGL=no \
		DLOPEN_OPENAL=no \
		VERBOSE=1 \
		WITH_SYSTEMWIDE=yes \
		WITH_SYSTEMDIR="/usr/lib/yamagi-quake2/" \
		WITH_X11GAMMA=yes

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_installdocs:
	dh_installdocs CONTRIBUTE README

## yquake2 5.30~dfsg1

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,12 @@
 #  - SDL 1.2 or SDL 2.0                                  #
 #  - libGL                                               #
 #                                                        #
+# Further dependencies:                                  #
+#  - libogg                                              #
+#  - libvorbis                                           #
+#  - OpenAL                                              #
+#  - zlib                                                #
+#                                                        #
 # Platforms:                                             #
 #  - FreeBSD                                             #
 #  - Linux                                               #
@@ -38,10 +44,6 @@
 # installed
 WITH_OPENAL:=yes
 
-# Enables retexturing support. Adds
-# a dependency to libjpeg
-WITH_RETEXTURING:=yes
-
 # Use SDL2 instead of SDL1.2. Disables CD audio support,
 # because SDL2 has none. Use OGG/Vorbis music instead :-)
 # On Windows sdl-config isn't used, so make sure that
@@ -71,24 +73,35 @@
 # You have to make sure your libs/frameworks supports
 # these architectures! To build an universal ppc-compatible
 # one would add -arch ppc for example.
-OSX_ARCH:=-arch i386 -arch x86_64
+OSX_ARCH:=-arch $(shell uname -m | sed -e s/i.86/i386/)
 
 # This will set the build options to create an MacOS .app-bundle.
 # The app-bundle itself will not be created, but the runtime paths
-# will be set to expect the linked Frameworks in *.app/Contents/
-# Frameworks and the game-data will be expected in *.app/
+# will be set to expect the game-data in *.app/
 # Contents/Resources
 OSX_APP:=yes
 
-# ====================================================== #
-#     !!! DO NOT ALTER ANYTHING BELOW THIS LINE !!!      #
-# ====================================================== #
+# This is an optional configuration file, it'll be used in
+# case of presence.
+CONFIG_FILE := config.mk
+
+# ----------
+
+# In case a of a configuration file being present, we'll just use it
+ifeq ($(wildcard $(CONFIG_FILE)), $(CONFIG_FILE))
+include $(CONFIG_FILE)
+endif
 
 # Detect the OS
 ifdef SystemRoot
 OSTYPE := Windows
 else
 OSTYPE := $(shell uname -s)
+endif
+
+# Special case for MinGW
+ifneq (,$(findstring MINGW,$(OSTYPE)))
+OSTYPE := Windows
 endif
 
 # Detect the architecture
@@ -142,11 +155,12 @@
 #  generated if building universal binaries on OSX)
 ifeq ($(OSTYPE), Darwin)
 CFLAGS := -O2 -fno-strict-aliasing -fomit-frame-pointer \
-		  -Wall -pipe -g
+		  -Wall -pipe -g 
+		  #-isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.5.sdk
 CFLAGS += $(OSX_ARCH)
 else
 CFLAGS := -O2 -fno-strict-aliasing -fomit-frame-pointer \
-		  -Wall -pipe -g -MMD
+		  -Wall -pipe -g -ggdb -MMD
 endif
 
 # ----------
@@ -161,19 +175,28 @@
 
 # ----------
 
+# On Windows / MinGW $(CC) is
+# undefined by default.
+ifeq ($(OSTYPE),Windows)
+CC := gcc
+endif
+
+# ----------
+
 # Extra CFLAGS for SDL
-ifneq ($(OSTYPE), Windows)
-ifeq ($(OSTYPE), Darwin)
+ifeq ($(WITH_SDL2),yes)
+ifeq ($(OSTYPE),Windows)
+SDLCFLAGS := $(shell /custom/bin/sdl2-config --cflags)
+else
+SDLCFLAGS := $(shell sdl2-config --cflags)
+endif
+else # not SDL2
+ifeq ($(OSTYPE),Windows)
 SDLCFLAGS :=
-else # not darwin
-ifeq ($(WITH_SDL2),yes)
-SDLCFLAGS := $(shell sdl2-config --cflags)
-else # not SDL2
+else
 SDLCFLAGS := $(shell sdl-config --cflags)
+endif
 endif # SDL2
-
-endif # darwin's else
-endif # not windows
 
 # ----------
 
@@ -196,8 +219,8 @@
 INCLUDE := -I/usr/local/include
 else ifeq ($(OSTYPE),OpenBSD)
 INCLUDE := -I/usr/local/include
-else ifeq ($(OSTYPE),Darwin)
-INCLUDE :=
+else ifeq ($(OSTYPE),Windows)
+INCLUDE := -I/custom/include
 endif
 
 # ----------
@@ -210,7 +233,7 @@
 else ifeq ($(OSTYPE),OpenBSD)
 LDFLAGS := -L/usr/local/lib -lm
 else ifeq ($(OSTYPE),Windows)
-LDFLAGS := -lws2_32 -lwinmm
+LDFLAGS := -L/custom/lib -static -lws2_32 -lwinmm
 else ifeq ($(OSTYPE), Darwin)
 LDFLAGS := $(OSX_ARCH) -lm
 endif
@@ -220,17 +243,15 @@
 # Extra LDFLAGS for SDL
 ifeq ($(OSTYPE), Windows)
 ifeq ($(WITH_SDL2),yes)
-SDLLDFLAGS := -lSDL2main -lSDL2  -mwindows  -lm -ldinput8 -ldxguid \
-	-ldxerr8 -luser32 -lgdi32 -lwinmm -limm32 -lole32 -loleaut32 \
-	-lshell32 -lversion -luuid
+SDLLDFLAGS := $(shell /custom/bin/sdl2-config --static-libs) 
 else # not SDL2
 SDLLDFLAGS := -lSDL
 endif # SDL2
 else ifeq ($(OSTYPE), Darwin)
 ifeq ($(WITH_SDL2),yes)
-SDLLDFLAGS := -framework SDL2 -framework OpenGL -framework Cocoa
+SDLLDFLAGS := -lSDL2 -framework OpenGL -framework Cocoa
 else # not SDL2
-SDLLDFLAGS := -framework SDL -framework OpenGL -framework Cocoa
+SDLLDFLAGS := -lSDL -framework OpenGL -framework Cocoa
 endif # SDL2
 else # not Darwin/Win
 ifeq ($(WITH_SDL2),yes)
@@ -267,7 +288,6 @@
 # ----------
 
 # Phony targets
-#.PHONY : all client game icon refresher server
 .PHONY : all client game icon server
 
 # ----------
@@ -281,7 +301,6 @@
 	@echo "============================"
 	@echo "WITH_CDA = $(WITH_CDA)"
 	@echo "WITH_OPENAL = $(WITH_OPENAL)"
-	@echo "WITH_RETEXTURING = $(WITH_RETEXTURING)"
 	@echo "WITH_SDL2 = $(WITH_SDL2)"
 	@echo "WITH_X11GAMMA = $(WITH_X11GAMMA)"
 	@echo "WITH_ZIP = $(WITH_ZIP)"
@@ -303,22 +322,16 @@
 ifeq ($(OSTYPE), Windows)
 icon:
 	@echo "===> WR build/icon/icon.res"
-	${Q}stuff/misc/mkdir -p build/icon
+	${Q}mkdir -p build/icon
 	${Q}windres stuff\icon\icon.rc -O COFF -o build\icon\icon.res
 endif
 
 # ----------
 
 # Cleanup
-ifeq ($(OSTYPE), Windows)
-clean:
-	@echo "===> CLEAN"
-	@-rmdir /S /Q release build
-else
 clean:
 	@echo "===> CLEAN"
 	${Q}rm -Rf build release
-endif
 
 # ----------
 
@@ -326,12 +339,12 @@
 ifeq ($(OSTYPE), Windows)
 client:
 	@echo "===> Building quake2.exe"
-	${Q}stuff/misc/mkdir.exe -p release
+	${Q}mkdir -p release
 	$(MAKE) release/quake2.exe
 
 build/client/%.o: %.c
 	@echo "===> CC $<"
-	${Q}stuff/misc/mkdir.exe -p $(@D)
+	${Q}mkdir -p $(@D)
 	${Q}$(CC) -c $(CFLAGS) $(SDLCFLAGS) $(INCLUDE) -o $@ $<
 
 ifeq ($(WITH_CDA),yes)
@@ -351,18 +364,13 @@
 release/quake2.exe : CFLAGS += -DZIP -DNOUNCRYPT
 release/quake2.exe : LDFLAGS += -lz
 endif
- 
-ifeq ($(WITH_RETEXTURING),yes)
-release/quake2.exe : CFLAGS += -DRETEXTURE
-release/quake2.exe : LDFLAGS += -ljpeg
-endif 
 
 ifeq ($(WITH_SDL2),yes)
 release/quake2.exe : CFLAGS += -DSDL2
 endif
 
 release/quake2.exe : LDFLAGS += -mwindows -lopengl32
-else
+else # not Windows
 client:
 	@echo "===> Building quake2"
 	${Q}mkdir -p release
@@ -386,19 +394,14 @@
 
 ifeq ($(WITH_OGG),yes)
 release/quake2 : CFLAGS += -DOGG
-ifeq ($(OSTYPE), Darwin)
-release/quake2 : LDFLAGS += -framework Vorbis -framework Ogg
-else
 release/quake2 : LDFLAGS += -lvorbis -lvorbisfile -logg
-endif
 endif
 
 ifeq ($(WITH_OPENAL),yes)
 ifeq ($(OSTYPE), OpenBSD)
 release/quake2 : CFLAGS += -DUSE_OPENAL -DDEFAULT_OPENAL_DRIVER='"libopenal.so"'
 else ifeq ($(OSTYPE), Darwin)
-release/quake2 : CFLAGS += -DUSE_OPENAL -DDEFAULT_OPENAL_DRIVER='"/System/Library/Frameworks/OpenAL.framework/OpenAL"'
-release/quake2 : LDFLAGS += -framework OpenAL
+release/quake2 : CFLAGS += -DUSE_OPENAL -DDEFAULT_OPENAL_DRIVER='"libopenal.dylib"'
 else
 release/quake2 : CFLAGS += -DUSE_OPENAL -DDEFAULT_OPENAL_DRIVER='"libopenal.so.1"'
 endif
@@ -413,23 +416,8 @@
 release/quake2 : CFLAGS += -DX11GAMMA
 endif
 
-ifeq ($(WITH_RETEXTURING),yes)
-release/quake2 : CFLAGS += -DRETEXTURE
-ifeq ($(OSTYPE), Darwin)
-release/quake2 : LDFLAGS += -framework libjpeg
-else
-release/quake2 : LDFLAGS += -ljpeg
-endif
-endif
-
 ifeq ($(WITH_SDL2),yes)
 release/quake2 : CFLAGS += -DSDL2
-endif
- 
-ifeq ($(OSTYPE), Darwin)
-ifeq ($(OSX_APP), yes)
-release/quake2 : LDFLAGS += -Xlinker -rpath -Xlinker @loader_path/../Frameworks
-endif
 endif
  
 ifneq ($(OSTYPE), Darwin)
@@ -453,3 +441,21 @@
 ifeq ($(OSTYPE), FreeBSD)
 release/quake2 : LDFLAGS += -Wl,-z,origin,-rpath='/usr/share/games/quake2/lib'
 else ifeq ($(OSTYPE), Linux)
+release/quake2 : LDFLAGS += -Wl,-z,origin,-rpath='/usr/share/games/quake2/lib'
+endif
+endif
+endif
+endif
+
+# ----------
+
+# The server
+ifeq ($(OSTYPE), Windows)
+server:
+	@echo "===> Building q2ded"
+	${Q}mkdir -p release
+	$(MAKE) release/q2ded.exe
+
+build/server/%.o: %.c
+	@echo "===> CC $<"
+	${Q}mkdir -p $(@D)

=== debian/changelog ===
yquake2 (5.30~dfsg1-1) unstable; urgency=medium

  * New upstream release
    - update debian/copyright
    - refresh patches
    - drop patch adding LIBDIR: the engine now looks for files relative
      to the executable, which happens to be exactly the directory we were
      using as our LIBDIR
  * Use https and cgit for Vcs-Browser
  * Stop using numbered patches for gbp pq
  * Add patch to replace __DATE__ with BUILDDATE, and define that macro
    from the debian/changelog date
    - build with TZ=UTC and LC_ALL=C.UTF-8 to make that deterministic
  * Drop libjpeg-dev build-dependency, yquake2 now has its own simplistic
    JPEG loader

 -- Simon McVittie <smcv@debian.org>  Tue, 05 May 2015 11:02:44 +0100

yquake2 (5.21~dfsg1-2) unstable; urgency=medium

  * Change libjpeg8-dev build-dependency to libjpeg-dev for libjpeg-turbo
    transition
  * Standards-Version: 3.9.6 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Thu, 09 Oct 2014 08:07:27 +0100

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,16 @@
 Build-Depends:
  debhelper (>= 9),
  libgl1-mesa-dev | libgl-dev,
- libjpeg8-dev,
  libopenal-dev,
  libsdl2-dev,
  libvorbis-dev,
  libxrandr-dev,
  libxxf86vm-dev,
  zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.yamagi.org/quake2/
 Vcs-Git: git://anonscm.debian.org/pkg-games/yquake2.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/yquake2.git;a=summary
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/yquake2.git
 
 Package: yamagi-quake2
 Architecture: any-amd64 any-i386

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,23 @@
 #!/usr/bin/make -f
 
-DEB_CPPFLAGS_MAINT_APPEND += -DLIBDIR=\"/usr/lib/yamagi-quake2/\"
+export LC_ALL=C.UTF-8
+export TZ=UTC
+
+DEB_CPPFLAGS_MAINT_APPEND += -I$(CURDIR) -include debian/yquake2.h
 DEB_LDFLAGS_MAINT_APPEND  += -Wl,--as-needed -Wl,-z,defs
 export DEB_CPPFLAGS_MAINT_APPEND DEB_LDFLAGS_MAINT_APPEND
 
 %:
 	dh $@
 
-override_dh_auto_build:
+debian/yquake2.h:
+	date --utc --date="`dpkg-parsechangelog -SDate`" \
+		"+#define BUILDDATE \"%b %_d %Y\"" > $@
+
+export LC_ALL=C.UTF-8
+export TZ=UTC
+
+override_dh_auto_build: debian/yquake2.h
 	dh_auto_build -- \
 		DLOPEN_LIBGL=no \
 		DLOPEN_OPENAL=no \

## yquake2 5.32~dfsg1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

# Enforce "Debug" as standard build type
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE "Debug" CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
endif(NOT CMAKE_BUILD_TYPE)

# CMake project configuration
project (yquake2)

# Cmake module search path
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR}/stuff/cmake/modules ${CMAKE_MODULE_PATH})

if (YQUAKE2LIBS)
	set(ENV{CMAKE_PREFIX_PATH} ${YQUAKE2LIBS})

	set(ENV{OPENALDIR} ${YQUAKE2LIBS})
	set(ENV{SDLDIR} ${YQUAKE2LIBS})
	set(ENV{SDL2DIR} ${YQUAKE2LIBS})
endif()

# Add extended path for FreeBSD and Homebrew on OS X
list(APPEND CMAKE_PREFIX_PATH /usr/local)

# Enforce compiler flags (GCC / Clang compatible, yquake2
# won't build with another compiler anyways)
#  -Wall                -> More warnings
#  -fno-strict-aliasing -> Quake 2 is far away from strict aliasing
#  -fwrapv              -> Make signed integer overflows defined
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -fno-strict-aliasing -fwrapv")

# Use -O2 as maximum optimization level. -O3 has it's problems with yquake2.
string(REPLACE "-O3" "-O2" CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE}")

# yquake2 compilation options
option(ZIP_SUPPORT "ZIP support" ON)
option(OGG_SUPPORT "OGG Vorbis playback support (Music)" ON)
option(OPENAL_SUPPORT "OpenAL support" ON)

# These variables will act as our list of include folders and linker flags
set(yquake2LinkerFlags)
set(yquake2IncludeDirectories)
set(yquake2LinkerDirectories)

# Set directory locations (allowing us to move directories easily)
set(SOURCE_DIR ${CMAKE_CURRENT_LIST_DIR}/src)
set(BACKENDS_SRC_DIR ${SOURCE_DIR}/backends)
set(COMMON_SRC_DIR ${SOURCE_DIR}/common)
set(GAME_SRC_DIR ${SOURCE_DIR}/game)
set(SERVER_SRC_DIR ${SOURCE_DIR}/server)
set(CLIENT_SRC_DIR ${SOURCE_DIR}/client)

# Required libraries to build the different components of the binaries. Find
# them and add the include/linker directories and flags (in case the package
# manager find it in a weird place)
find_package(SDL2)
if(${SDL2_FOUND})
	add_definitions(-DSDL2)
	list(APPEND yquake2IncludeDirectories "${SDL2_INCLUDE_DIR}/..")
	list(APPEND yquake2LinkerFlags ${SDL2_LIBRARY})
else()
	find_package(SDL REQUIRED)
	add_definitions(-DWITH_CDA)
	list(APPEND yquake2IncludeDirectories "${SDL_INCLUDE_DIR}/..")
	list(APPEND yquake2LinkerFlags ${SDL_LIBRARY})
endif()

find_package(OpenGL REQUIRED)
list(APPEND yquake2IncludeDirectories ${OPENGL_INCLUDE_DIR})
list(APPEND yquake2LinkerFlags ${OPENGL_LIBRARIES})

if(${ZIP_SUPPORT})
	find_package(ZLIB REQUIRED)
	list(APPEND yquake2IncludeDirectories ${ZLIB_INCLUDE_DIRS})
	list(APPEND yquake2LinkerFlags ${ZLIB_LIBRARIES})
	add_definitions(-DZIP -DNOUNCRYPT)
endif()

if(${OGG_SUPPORT})
	find_package(OggVorbis)
	if(${OGGVORBIS_FOUND})
		add_definitions(-DOGG)
		list(APPEND yquake2IncludeDirectories ${OGGVORBIS_INCLUDE_DIR})
		list(APPEND yquake2LinkerFlags ${OGG_LIBRARY} ${VORBIS_LIBRARY} ${VORBISFILE_LIBRARY})
	endif()
endif()

if(${OPENAL_SUPPORT})
	find_package(OpenAL)

	# TODO: OS X is still missing here
	if(${OPENAL_FOUND} AND NOT(${CMAKE_SYSTEM_NAME} MATCHES "Darwin"))
		list(APPEND yquake2IncludeDirectories "${OPENAL_INCLUDE_DIR}")
		list(APPEND yquake2LinkerFlags ${OPENAL_LIBRARY})

		if(${CMAKE_SYSTEM_NAME} MATCHES "Windows")
			add_definitions(-DUSE_OPENAL -DDEFAULT_OPENAL_DRIVER="openal32.dll")
		elseif(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
			add_definitions(-DUSE_OPENAL -DDEFAULT_OPENAL_DRIVER="libopenal.dylib")
		elseif((${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD") OR (${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD"))
			add_definitions(-DUSE_OPENAL -DDEFAULT_OPENAL_DRIVER="libopenal.so")
		else()
			add_definitions(-DUSE_OPENAL -DDEFAULT_OPENAL_DRIVER="libopenal.so.1")
		endif()
	endif()
endif()

if(${CMAKE_SYSTEM_NAME} MATCHES "Windows")
	list(APPEND yquake2LinkerFlags "-lm")
else()
	list(APPEND yquake2LinkerFlags "-lm -rdynamic")
endif()

list(APPEND yquake2LinkerFlags ${CMAKE_DL_LIBS})

# With all of those libraries and user defined paths
# added, lets give them to the compiler and linker.
include_directories(${yquake2IncludeDirectories})
link_directories(${yquake2LinkerDirectories})

set(Backends-Generic-Source
	${BACKENDS_SRC_DIR}/generic/qal.c
	${BACKENDS_SRC_DIR}/generic/vid.c
	${BACKENDS_SRC_DIR}/generic/qgl.c
	${BACKENDS_SRC_DIR}/generic/misc.c

	${BACKENDS_SRC_DIR}/sdl/cd.c
	${BACKENDS_SRC_DIR}/sdl/input.c
	${BACKENDS_SRC_DIR}/sdl/refresh.c
	${BACKENDS_SRC_DIR}/sdl/sound.c
	)

set(Backends-Generic-Header
	${BACKENDS_SRC_DIR}/generic/header/input.h
	${BACKENDS_SRC_DIR}/generic/header/qal.h
	${BACKENDS_SRC_DIR}/generic/header/qgl.h
	)

set(Backends-Unix-Source
	${BACKENDS_SRC_DIR}/unix/network.c
	${BACKENDS_SRC_DIR}/unix/system.c
	${BACKENDS_SRC_DIR}/generic/misc.c
	${BACKENDS_SRC_DIR}/unix/main.c
	${BACKENDS_SRC_DIR}/unix/signalhandler.c
	${BACKENDS_SRC_DIR}/unix/shared/hunk.c
	)

set(Backends-Unix-Header
	${BACKENDS_SRC_DIR}/unix/header/unix.h
	)

set(Backends-Windows-Source
	${BACKENDS_SRC_DIR}/generic/misc.c
	${BACKENDS_SRC_DIR}/windows/network.c
	${BACKENDS_SRC_DIR}/windows/system.c
	${BACKENDS_SRC_DIR}/windows/shared/mem.c
	)

set(Backends-Windows-Header
	${BACKENDS_SRC_DIR}/windows/header/resource.h
	${BACKENDS_SRC_DIR}/windows/header/winquake.h
	)


# Set the nessesary platform specific source
if(${CMAKE_SYSTEM_NAME} MATCHES "Windows")
	set(Platform-Specific-Source ${Backends-Windows-Source} ${Backends-Windows-Header})
else()
	set(Platform-Specific-Source ${Backends-Unix-Source} ${Backends-Unix-Header})
endif()

set(Game-Source
	${COMMON_SRC_DIR}/shared/flash.c
	${COMMON_SRC_DIR}/shared/rand.c
	${COMMON_SRC_DIR}/shared/shared.c
	${GAME_SRC_DIR}/g_ai.c
	${GAME_SRC_DIR}/g_chase.c
	${GAME_SRC_DIR}/g_cmds.c
	${GAME_SRC_DIR}/g_combat.c
	${GAME_SRC_DIR}/g_func.c
	${GAME_SRC_DIR}/g_items.c
	${GAME_SRC_DIR}/g_main.c
	${GAME_SRC_DIR}/g_misc.c
	${GAME_SRC_DIR}/g_monster.c
	${GAME_SRC_DIR}/g_phys.c
	${GAME_SRC_DIR}/g_spawn.c
	${GAME_SRC_DIR}/g_svcmds.c
	${GAME_SRC_DIR}/g_target.c
	${GAME_SRC_DIR}/g_trigger.c
	${GAME_SRC_DIR}/g_turret.c
	${GAME_SRC_DIR}/g_utils.c
	${GAME_SRC_DIR}/g_weapon.c
	${GAME_SRC_DIR}/monster/berserker/berserker.c
	${GAME_SRC_DIR}/monster/boss2/boss2.c
	${GAME_SRC_DIR}/monster/boss3/boss3.c
	${GAME_SRC_DIR}/monster/boss3/boss31.c
	${GAME_SRC_DIR}/monster/boss3/boss32.c
	${GAME_SRC_DIR}/monster/brain/brain.c
	${GAME_SRC_DIR}/monster/chick/chick.c
	${GAME_SRC_DIR}/monster/flipper/flipper.c
	${GAME_SRC_DIR}/monster/float/float.c
	${GAME_SRC_DIR}/monster/flyer/flyer.c
	${GAME_SRC_DIR}/monster/gladiator/gladiator.c
	${GAME_SRC_DIR}/monster/gunner/gunner.c
	${GAME_SRC_DIR}/monster/hover/hover.c
	${GAME_SRC_DIR}/monster/infantry/infantry.c
	${GAME_SRC_DIR}/monster/insane/insane.c
	${GAME_SRC_DIR}/monster/medic/medic.c
	${GAME_SRC_DIR}/monster/misc/move.c
	${GAME_SRC_DIR}/monster/mutant/mutant.c
	${GAME_SRC_DIR}/monster/parasite/parasite.c
	${GAME_SRC_DIR}/monster/soldier/soldier.c
	${GAME_SRC_DIR}/monster/supertank/supertank.c
	${GAME_SRC_DIR}/monster/tank/tank.c
	${GAME_SRC_DIR}/player/client.c
	${GAME_SRC_DIR}/player/hud.c
	${GAME_SRC_DIR}/player/trail.c
	${GAME_SRC_DIR}/player/view.c
	${GAME_SRC_DIR}/player/weapon.c
	${GAME_SRC_DIR}/savegame/savegame.c
	)

set(Game-Header
	${GAME_SRC_DIR}/header/game.h
	${GAME_SRC_DIR}/header/local.h
	${GAME_SRC_DIR}/monster/berserker/berserker.h
	${GAME_SRC_DIR}/monster/boss2/boss2.h
	${GAME_SRC_DIR}/monster/boss3/boss31.h
	${GAME_SRC_DIR}/monster/boss3/boss32.h
	${GAME_SRC_DIR}/monster/brain/brain.h
	${GAME_SRC_DIR}/monster/chick/chick.h
	${GAME_SRC_DIR}/monster/flipper/flipper.h
	${GAME_SRC_DIR}/monster/float/float.h
	${GAME_SRC_DIR}/monster/flyer/flyer.h
	${GAME_SRC_DIR}/monster/gladiator/gladiator.h
	${GAME_SRC_DIR}/monster/gunner/gunner.h
	${GAME_SRC_DIR}/monster/hover/hover.h
	${GAME_SRC_DIR}/monster/infantry/infantry.h
	${GAME_SRC_DIR}/monster/insane/insane.h
	${GAME_SRC_DIR}/monster/medic/medic.h
	${GAME_SRC_DIR}/monster/misc/player.h
	${GAME_SRC_DIR}/monster/mutant/mutant.h
	${GAME_SRC_DIR}/monster/parasite/parasite.h
	${GAME_SRC_DIR}/monster/soldier/soldier.h
	${GAME_SRC_DIR}/monster/supertank/supertank.h
	${GAME_SRC_DIR}/monster/tank/tank.h
	${GAME_SRC_DIR}/savegame/tables/clientfields.h
	${GAME_SRC_DIR}/savegame/tables/fields.h
	${GAME_SRC_DIR}/savegame/tables/gamefunc_decs.h
	${GAME_SRC_DIR}/savegame/tables/gamefunc_list.h
	${GAME_SRC_DIR}/savegame/tables/gamemmove_decs.h
	${GAME_SRC_DIR}/savegame/tables/gamemmove_list.h
	${GAME_SRC_DIR}/savegame/tables/levelfields.h
	)

set(Client-Source
	${CLIENT_SRC_DIR}/cl_cin.c
	${CLIENT_SRC_DIR}/cl_console.c
	${CLIENT_SRC_DIR}/cl_download.c
	${CLIENT_SRC_DIR}/cl_effects.c
	${CLIENT_SRC_DIR}/cl_entities.c
	${CLIENT_SRC_DIR}/cl_input.c
	${CLIENT_SRC_DIR}/cl_inventory.c
	${CLIENT_SRC_DIR}/cl_keyboard.c
	${CLIENT_SRC_DIR}/cl_lights.c
	${CLIENT_SRC_DIR}/cl_main.c
	${CLIENT_SRC_DIR}/cl_network.c
	${CLIENT_SRC_DIR}/cl_parse.c
	${CLIENT_SRC_DIR}/cl_particles.c
	${CLIENT_SRC_DIR}/cl_prediction.c
	${CLIENT_SRC_DIR}/cl_screen.c
	${CLIENT_SRC_DIR}/cl_tempentities.c
	${CLIENT_SRC_DIR}/cl_view.c
	${CLIENT_SRC_DIR}/refresh/r_draw.c
	${CLIENT_SRC_DIR}/refresh/r_image.c
	${CLIENT_SRC_DIR}/refresh/r_light.c
	${CLIENT_SRC_DIR}/refresh/r_lightmap.c
	${CLIENT_SRC_DIR}/refresh/r_main.c
	${CLIENT_SRC_DIR}/refresh/r_mesh.c
	${CLIENT_SRC_DIR}/refresh/r_misc.c
	${CLIENT_SRC_DIR}/refresh/r_model.c
	${CLIENT_SRC_DIR}/refresh/r_scrap.c
	${CLIENT_SRC_DIR}/refresh/r_surf.c
	${CLIENT_SRC_DIR}/refresh/r_warp.c
	${CLIENT_SRC_DIR}/refresh/files/md2.c
	${CLIENT_SRC_DIR}/refresh/files/pcx.c
	${CLIENT_SRC_DIR}/refresh/files/sp2.c
	${CLIENT_SRC_DIR}/refresh/files/stb.c
	${CLIENT_SRC_DIR}/refresh/files/wal.c
	${CLIENT_SRC_DIR}/menu/menu.c
	${CLIENT_SRC_DIR}/menu/qmenu.c
	${CLIENT_SRC_DIR}/menu/videomenu.c
	${CLIENT_SRC_DIR}/sound/ogg.c
	${CLIENT_SRC_DIR}/sound/openal.c
	${CLIENT_SRC_DIR}/sound/sound.c
	${CLIENT_SRC_DIR}/sound/wave.c
	${COMMON_SRC_DIR}/argproc.c
	${COMMON_SRC_DIR}/clientserver.c
	${COMMON_SRC_DIR}/collision.c
	${COMMON_SRC_DIR}/crc.c
	${COMMON_SRC_DIR}/cmdparser.c
	${COMMON_SRC_DIR}/cvar.c
	${COMMON_SRC_DIR}/filesystem.c
	${COMMON_SRC_DIR}/glob.c
	${COMMON_SRC_DIR}/md4.c
	${COMMON_SRC_DIR}/movemsg.c
	${COMMON_SRC_DIR}/misc.c
	${COMMON_SRC_DIR}/netchan.c
	${COMMON_SRC_DIR}/pmove.c
	${COMMON_SRC_DIR}/szone.c
	${COMMON_SRC_DIR}/zone.c
	${COMMON_SRC_DIR}/shared/flash.c
	${COMMON_SRC_DIR}/shared/rand.c
	${COMMON_SRC_DIR}/shared/shared.c
	${COMMON_SRC_DIR}/unzip/ioapi.c
	${COMMON_SRC_DIR}/unzip/unzip.c
	${SERVER_SRC_DIR}/sv_cmd.c
	${SERVER_SRC_DIR}/sv_conless.c
	${SERVER_SRC_DIR}/sv_entities.c
	${SERVER_SRC_DIR}/sv_game.c
	${SERVER_SRC_DIR}/sv_init.c
	${SERVER_SRC_DIR}/sv_main.c
	${SERVER_SRC_DIR}/sv_save.c
	${SERVER_SRC_DIR}/sv_send.c
	${SERVER_SRC_DIR}/sv_user.c
	${SERVER_SRC_DIR}/sv_world.c
	)

set(Client-Header
	${CLIENT_SRC_DIR}/header/client.h
	${CLIENT_SRC_DIR}/header/console.h
	${CLIENT_SRC_DIR}/header/keyboard.h
	${CLIENT_SRC_DIR}/header/ref.h
	${CLIENT_SRC_DIR}/header/screen.h
	${CLIENT_SRC_DIR}/header/vid.h
	${CLIENT_SRC_DIR}/menu/header/qmenu.h
	${CLIENT_SRC_DIR}/refresh/constants/anorms.h
	${CLIENT_SRC_DIR}/refresh/constants/anormtab.h
	${CLIENT_SRC_DIR}/refresh/constants/warpsin.h
	${CLIENT_SRC_DIR}/refresh/files/stb_image.h
	${CLIENT_SRC_DIR}/refresh/header/local.h
	${CLIENT_SRC_DIR}/refresh/header/model.h
	${CLIENT_SRC_DIR}/sound/header/cdaudio.h
	${CLIENT_SRC_DIR}/sound/header/local.h
	${CLIENT_SRC_DIR}/sound/header/sound.h
	${CLIENT_SRC_DIR}/sound/header/vorbis.h
	${COMMON_SRC_DIR}/header/common.h
	${COMMON_SRC_DIR}/header/crc.h
	${COMMON_SRC_DIR}/header/files.h
	${COMMON_SRC_DIR}/header/glob.h
	${COMMON_SRC_DIR}/header/shared.h
	${COMMON_SRC_DIR}/header/zone.h
	${COMMON_SRC_DIR}/unzip/ioapi.h
	${COMMON_SRC_DIR}/unzip/unzip.h
	${SERVER_SRC_DIR}/header/server.h
	)

set(Server-Source
	${COMMON_SRC_DIR}/argproc.c
	${COMMON_SRC_DIR}/clientserver.c
	${COMMON_SRC_DIR}/collision.c
	${COMMON_SRC_DIR}/crc.c

=== Makefile ===
--- 
+++ 
@@ -155,12 +155,12 @@
 #  generated if building universal binaries on OSX)
 ifeq ($(OSTYPE), Darwin)
 CFLAGS := -O2 -fno-strict-aliasing -fomit-frame-pointer \
-		  -Wall -pipe -g 
+		  -Wall -pipe -g -fwrapv
 		  #-isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.5.sdk
 CFLAGS += $(OSX_ARCH)
 else
 CFLAGS := -O2 -fno-strict-aliasing -fomit-frame-pointer \
-		  -Wall -pipe -g -ggdb -MMD
+		  -Wall -pipe -g -ggdb -MMD -fwrapv
 endif
 
 # ----------
@@ -233,7 +233,7 @@
 else ifeq ($(OSTYPE),OpenBSD)
 LDFLAGS := -L/usr/local/lib -lm
 else ifeq ($(OSTYPE),Windows)
-LDFLAGS := -L/custom/lib -static -lws2_32 -lwinmm
+LDFLAGS := -L/custom/lib -lws2_32 -lwinmm
 else ifeq ($(OSTYPE), Darwin)
 LDFLAGS := $(OSX_ARCH) -lm
 endif
@@ -243,7 +243,7 @@
 # Extra LDFLAGS for SDL
 ifeq ($(OSTYPE), Windows)
 ifeq ($(WITH_SDL2),yes)
-SDLLDFLAGS := $(shell /custom/bin/sdl2-config --static-libs) 
+SDLLDFLAGS := $(shell /custom/bin/sdl2-config --libs)
 else # not SDL2
 SDLLDFLAGS := -lSDL
 endif # SDL2

=== debian/changelog ===
yquake2 (5.32~dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 5.32
  * Remove debian/patches/000*, applied upstream.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 02 Nov 2015 10:43:42 +0100

yquake2 (5.31~dfsg1-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Move patches from upstream to the beginning of the patch series,
    and add DEP-3 metadata
  * Split rpath-avoidance into a separate patch

  [ Fabian Greffrath ]
  * Add patch by Simon McVittie to override the default basedir
    instead of adding a path if SYSTEMWIDE is defined.
    + This lets "+set basedir" take precedence over the SYSTEMDIR,
      which is useful if you have the demo and full-game data installed
      in different base directories to be able to test the demo for
      regressions.
  * Add debian/yquake2.h to debian/clean to make sure it gets
    regenerated for each package revision.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 06 Oct 2015 14:14:06 +0200

yquake2 (5.31~dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 5.31~dfsg1
    + Backport two commits from upstream GIT to fix crosshair scaling
      (Closes: #799952).
    + Refresh patches.
  * Do not hard-code WITH_SYSTEMDIR at build time anymore. The engine expects
    the renderer in the same directory anyway and game data is expected in
    /usr/share/games/quake2, where this defaults to (Closes: #800118).
    + Extend debian/patches/Append...patch to also remove the bogus rpaths
      instructions from LDFLAGS.
  * Update Uploaders field and packaging Copyright to my <fabian@debian.org>
    address.
  * Add "Recommends: quake2" to the yamagi-quake2 package and
    "Recommends: quake2-server | yamagi-quake2" to yamagi-quake2-core.
  * Remove debian/README.source, did not contain any relevant information
    anymore.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 29 Sep 2015 11:59:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
- Fabian Greffrath <fabian+debian@greffrath.com>,
+ Fabian Greffrath <fabian@debian.org>,
  Simon McVittie <smcv@debian.org>
 Build-Depends:
  debhelper (>= 9),
@@ -25,6 +25,7 @@
  yamagi-quake2-core (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
+Recommends: quake2
 Provides: quake2-engine
 Description: enhanced version of id Software's Quake II - client
  This is the Yamagi Quake II Client, an enhanced Version of id Software's
@@ -41,6 +42,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
+Recommends: quake2-server | yamagi-quake2
 Provides: quake2-engine-server
 Breaks: yamagi-quake2 (<< 5.11)
 Replaces: yamagi-quake2 (<< 5.11)

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,6 @@
 		DLOPEN_OPENAL=no \
 		VERBOSE=1 \
 		WITH_SYSTEMWIDE=yes \
-		WITH_SYSTEMDIR="/usr/lib/yamagi-quake2/" \
 		WITH_X11GAMMA=yes
 
 override_dh_installchangelogs:

=== debian/watch ===
version=3
opts="uversionmangle=s/.*QUAKE2_//g;s/WIN32_TEST//g;s/_/./g,dversionmangle=s/.dfsg.//g" \
 https://github.com/yquake2/yquake2/releases .*/(.*)\.tar\.gz

## yquake2 5.34~dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,22 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
 
 # Enforce "Debug" as standard build type
 if(NOT CMAKE_BUILD_TYPE)
-  set(CMAKE_BUILD_TYPE "Debug" CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
-endif(NOT CMAKE_BUILD_TYPE)
+	set(CMAKE_BUILD_TYPE "Debug" CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
+endif()
 
 # CMake project configuration
-project (yquake2)
+project(yquake2)
 
 # Cmake module search path
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR}/stuff/cmake/modules ${CMAKE_MODULE_PATH})
 
-if (YQUAKE2LIBS)
-	set(ENV{CMAKE_PREFIX_PATH} ${YQUAKE2LIBS})
+if(YQUAKE2LIBS)
+	if(CMAKE_CROSSCOMPILING)
+		set(CMAKE_FIND_ROOT_PATH ${YQUAKE2LIBS})
+	else()
+		set(ENV{CMAKE_PREFIX_PATH} ${YQUAKE2LIBS})
+	endif()
 
 	set(ENV{OPENALDIR} ${YQUAKE2LIBS})
 	set(ENV{SDLDIR} ${YQUAKE2LIBS})
@@ -36,6 +40,7 @@
 option(ZIP_SUPPORT "ZIP support" ON)
 option(OGG_SUPPORT "OGG Vorbis playback support (Music)" ON)
 option(OPENAL_SUPPORT "OpenAL support" ON)
+option(SYSTEMWIDE_SUPPORT "Enable systemwide installation of game assets" OFF)
 
 # These variables will act as our list of include folders and linker flags
 set(yquake2LinkerFlags)
@@ -49,6 +54,20 @@
 set(GAME_SRC_DIR ${SOURCE_DIR}/game)
 set(SERVER_SRC_DIR ${SOURCE_DIR}/server)
 set(CLIENT_SRC_DIR ${SOURCE_DIR}/client)
+
+# Operating system
+add_definitions(-DOSTYPE="${CMAKE_SYSTEM_NAME}")
+
+# Architecture string
+string(REGEX REPLACE "amd64" "x86_64" ARCH ${CMAKE_SYSTEM_PROCESSOR})
+string(REGEX REPLACE "i.86" "i386" ARCH ${ARCH})
+string(REGEX REPLACE "^arm.*" "arm" ARCH ${ARCH})
+add_definitions(-DARCH="${ARCH}")
+
+# Systemwide installation of game assets
+if(${SYSTEMWIDE_SUPPORT})
+    add_definitions(-DSYSTEMWIDE)
+endif()
 
 # Required libraries to build the different components of the binaries. Find
 # them and add the include/linker directories and flags (in case the package
@@ -119,10 +138,10 @@
 link_directories(${yquake2LinkerDirectories})
 
 set(Backends-Generic-Source
+	${BACKENDS_SRC_DIR}/generic/misc.c
 	${BACKENDS_SRC_DIR}/generic/qal.c
+	${BACKENDS_SRC_DIR}/generic/qgl.c
 	${BACKENDS_SRC_DIR}/generic/vid.c
-	${BACKENDS_SRC_DIR}/generic/qgl.c
-	${BACKENDS_SRC_DIR}/generic/misc.c
 
 	${BACKENDS_SRC_DIR}/sdl/cd.c
 	${BACKENDS_SRC_DIR}/sdl/input.c
@@ -137,11 +156,11 @@
 	)
 
 set(Backends-Unix-Source
-	${BACKENDS_SRC_DIR}/unix/network.c
-	${BACKENDS_SRC_DIR}/unix/system.c
 	${BACKENDS_SRC_DIR}/generic/misc.c
 	${BACKENDS_SRC_DIR}/unix/main.c
+	${BACKENDS_SRC_DIR}/unix/network.c
 	${BACKENDS_SRC_DIR}/unix/signalhandler.c
+	${BACKENDS_SRC_DIR}/unix/system.c
 	${BACKENDS_SRC_DIR}/unix/shared/hunk.c
 	)
 
@@ -151,6 +170,7 @@
 
 set(Backends-Windows-Source
 	${BACKENDS_SRC_DIR}/generic/misc.c
+	${BACKENDS_SRC_DIR}/windows/icon.rc
 	${BACKENDS_SRC_DIR}/windows/network.c
 	${BACKENDS_SRC_DIR}/windows/system.c
 	${BACKENDS_SRC_DIR}/windows/shared/mem.c
@@ -340,23 +360,3 @@
 	${CLIENT_SRC_DIR}/refresh/files/stb_image.h
 	${CLIENT_SRC_DIR}/refresh/header/local.h
 	${CLIENT_SRC_DIR}/refresh/header/model.h
-	${CLIENT_SRC_DIR}/sound/header/cdaudio.h
-	${CLIENT_SRC_DIR}/sound/header/local.h
-	${CLIENT_SRC_DIR}/sound/header/sound.h
-	${CLIENT_SRC_DIR}/sound/header/vorbis.h
-	${COMMON_SRC_DIR}/header/common.h
-	${COMMON_SRC_DIR}/header/crc.h
-	${COMMON_SRC_DIR}/header/files.h
-	${COMMON_SRC_DIR}/header/glob.h
-	${COMMON_SRC_DIR}/header/shared.h
-	${COMMON_SRC_DIR}/header/zone.h
-	${COMMON_SRC_DIR}/unzip/ioapi.h
-	${COMMON_SRC_DIR}/unzip/unzip.h
-	${SERVER_SRC_DIR}/header/server.h
-	)
-
-set(Server-Source
-	${COMMON_SRC_DIR}/argproc.c
-	${COMMON_SRC_DIR}/clientserver.c
-	${COMMON_SRC_DIR}/collision.c
-	${COMMON_SRC_DIR}/crc.c

=== debian/changelog ===
yquake2 (5.34~dfsg1-1) unstable; urgency=medium

  * Switch Vcs-Git to https (see #810378)
  * Standards-Version: 3.9.8 (no changes needed)
  * New upstream release
    - no longer specific to amd64 and i386 (Closes: #826689)
    - install 3D crosshair for stereoscopic rendering
    - refresh patches
    - install new README.md instead of old README
  * Enable full compiler hardening
  * Rewrite __DATE__ patch to use SOURCE_DATE_EPOCH directly
  * debian/gbp.conf: use DEP-14 branch names

 -- Simon McVittie <smcv@debian.org>  Fri, 01 Jul 2016 08:55:49 +0100
